Bug 13412 - vfs_ceph is missing async fsync implementations.
vfs_ceph is missing async fsync implementations.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-27 22:54 UTC by Jeremy Allison
Modified: 2018-05-09 07:54 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.8.next, 4.7.next. (2.96 KB, patch)
2018-05-01 23:04 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-04-27 22:54:56 UTC
Modern Samba internally uses async fsync_send()/fsync_recv() pair calls. Gluster implements this but ceph does not, meaning ceph backends are not correctly getting flushed to disk by clients.

Fake it up by implementing the async interface as synchronous under the covers.

Patch to follow.
Comment 1 Jeremy Allison 2018-05-01 23:04:56 UTC
Created attachment 14168 [details]
git-am fix for 4.8.next, 4.7.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2018-05-04 07:44:39 UTC
Reassigning to Karolin for inclusion in 4.7 and 4.8.
Comment 3 Karolin Seeger 2018-05-07 07:53:31 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-[7,8]-test.
Comment 4 Karolin Seeger 2018-05-09 07:54:12 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!